cargo build --target wasm32-unknown-unknown --release

if [ $? -ne 0 ]; then
    echo "Wasm build failed"
    exit 1
fi

mkdir -p ./local-deploy && \
cp ./build/index.html ./local-deploy/index.html && \
cp ./target/wasm32-unknown-unknown/release/blr_city_name.wasm ./local-deploy/blr_city_name.wasm && \
basic-http-server ./local-deploy
